{"openapi":"3.1.0","info":{"title":"Covo API","version":"0.6.3","description":"Auto-generated OpenAPI definition for all enabled modules."},"servers":[{"url":"https://admin.getcovo.com/api","description":"Default environment"}],"paths":{"/dashboards/layout":{"get":{"operationId":"dashboards_get_dashboards_layout","summary":"Load the current dashboard layout","description":"Returns the saved widget layout together with the widgets the current user is allowed to place.\n\nRequires features: dashboards.view","tags":["Dashboards"],"parameters":[],"responses":{"200":{"description":"Current dashboard layout and available widgets.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutGetResponses200ContentApplicationJsonSchema"},"example":{"layout":{"items":[{"id":"00000000-0000-4000-8000-000000000000","widgetId":"string","order":1}]},"allowedWidgetIds":["string"],"canConfigure":true,"context":{"userId":"00000000-0000-4000-8000-000000000000","tenantId":null,"organizationId":null,"userName":null,"userEmail":null,"userLabel":"string"},"widgets":[{"id":"string","title":"string","description":null,"defaultSize":"sm","defaultEnabled":true,"defaultSettings":null,"features":["string"],"moduleId":"string","icon":null,"loaderKey":"string","supportsRefresh":true}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/dashboards/layout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["dashboards.view"],"x-require-auth":true},"put":{"operationId":"dashboards_put_dashboards_layout","summary":"Persist dashboard layout changes","description":"Saves the provided widget ordering, sizes, and settings for the current user.\n\nRequires features: dashboards.configure","tags":["Dashboards"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutPutRequestBodyContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","widgetId":"string","order":1}]}}},"description":"List of dashboard widgets with ordering, sizing, and settings."},"responses":{"200":{"description":"Layout updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid layout payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/dashboards/layout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"items\\\": [\n    {\n      \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n      \\\"widgetId\\\": \\\"string\\\",\n      \\\"order\\\": 1\n    }\n  ]\n}\""}],"x-require-features":["dashboards.configure"],"x-require-auth":true}},"/dashboards/roles/widgets":{"get":{"operationId":"dashboards_get_dashboards_roles_widgets","summary":"Fetch widget assignments for a role","description":"Returns the widgets explicitly assigned to the given role together with the evaluation scope.\n\nRequires features: dashboards.admin.assign-widgets","tags":["Dashboards"],"parameters":[{"name":"roleId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetParameters1Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"organizationId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetParameters2Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Current widget configuration for the role.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetResponses200ContentApplicationJsonSchema"},"example":{"widgetIds":["string"],"hasCustom":true,"scope":{"tenantId":null,"organizationId":null}}}}},"400":{"description":"Missing role identifier","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/dashboards/roles/widgets?roleId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["dashboards.admin.assign-widgets"],"x-require-auth":true},"put":{"operationId":"dashboards_put_dashboards_roles_widgets","summary":"Update widgets assigned to a role","description":"Persists the widget list for a role within the provided tenant and organization scope.\n\nRequires features: dashboards.admin.assign-widgets","tags":["Dashboards"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsPutRequestBodyContentApplicationJsonSchema"},"example":{"roleId":"00000000-0000-4000-8000-000000000000","widgetIds":["string"]}}},"description":"Role identifier and the widget ids that should remain assigned. Scope is derived from the authenticated session."},"responses":{"200":{"description":"Widgets updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"widgetIds":["string"]}}}},"400":{"description":"Invalid payload or unknown widgets","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsRolesWidgetsPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/dashboards/roles/widgets\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"roleId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"widgetIds\\\": [\n    \\\"string\\\"\n  ]\n}\""}],"x-require-features":["dashboards.admin.assign-widgets"],"x-require-auth":true}},"/dashboards/users/widgets":{"get":{"operationId":"dashboards_get_dashboards_users_widgets","summary":"Read widget overrides for a user","description":"Returns the widgets inherited and explicitly configured for the requested user within the current scope.\n\nRequires features: dashboards.admin.assign-widgets","tags":["Dashboards"],"parameters":[{"name":"userId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetParameters1Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"organizationId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetParameters2Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Widget settings for the user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetResponses200ContentApplicationJsonSchema"},"example":{"mode":"inherit","widgetIds":["string"],"hasCustom":true,"effectiveWidgetIds":["string"],"scope":{"tenantId":null,"organizationId":null}}}}},"400":{"description":"Missing user identifier","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/dashboards/users/widgets?userId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["dashboards.admin.assign-widgets"],"x-require-auth":true},"put":{"operationId":"dashboards_put_dashboards_users_widgets","summary":"Update user-specific dashboard widgets","description":"Sets the widget override mode and allowed widgets for a user. Passing `mode: inherit` clears overrides.\n\nRequires features: dashboards.admin.assign-widgets","tags":["Dashboards"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsPutRequestBodyContentApplicationJsonSchema"},"example":{"userId":"00000000-0000-4000-8000-000000000000","mode":"inherit","widgetIds":["string"]}}},"description":"User identifier, override mode, and widget ids. Scope is derived from the authenticated session."},"responses":{"200":{"description":"Overrides saved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"mode":"inherit","widgetIds":["string"]}}}},"400":{"description":"Invalid payload or unknown widgets","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsUsersWidgetsPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/dashboards/users/widgets\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"userId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"mode\\\": \\\"inherit\\\",\n  \\\"widgetIds\\\": [\n    \\\"string\\\"\n  ]\n}\""}],"x-require-features":["dashboards.admin.assign-widgets"],"x-require-auth":true}},"/dashboards/widgets/data":{"post":{"operationId":"dashboards_post_dashboards_widgets_data","summary":"Fetch aggregated data for dashboard widgets","description":"Executes an aggregation query against the specified entity type and returns the result. Supports date range filtering, grouping, and period-over-period comparison.\n\nRequires features: analytics.view","tags":["Dashboards"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostRequestBodyContentApplicationJsonSchema"},"example":{"entityType":"string","metric":{"field":"string","aggregate":"count"}}}},"description":"Widget data request configuration specifying entity type, metric, filters, and grouping."},"responses":{"200":{"description":"Aggregated data for the widget.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostResponses200ContentApplicationJsonSchema"},"example":{"value":null,"data":[{"value":null}],"metadata":{"fetchedAt":"string","recordCount":1}}}}},"400":{"description":"Invalid request payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsDataPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/dashboards/widgets/data\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"entityType\\\": \\\"string\\\",\n  \\\"metric\\\": {\n    \\\"field\\\": \\\"string\\\",\n    \\\"aggregate\\\": \\\"count\\\"\n  }\n}\""}],"x-require-features":["analytics.view"],"x-require-auth":true}},"/dashboards/layout/{itemId}":{"patch":{"operationId":"dashboards_patch_dashboards_layout_itemId","summary":"Update a dashboard layout item","description":"Adjusts the size or settings for a single widget within the dashboard layout.\n\nRequires features: dashboards.configure","tags":["Dashboards"],"parameters":[{"name":"itemId","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchRequestBodyContentApplicationJsonSchema"},"example":{}}},"description":"Payload containing the new size or settings for the widget."},"responses":{"200":{"description":"Layout item updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid payload or missing item id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Item not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsLayoutItemIdPatchResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PATCH \"https://admin.getcovo.com/api/dashboards/layout/00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["dashboards.configure"],"x-require-auth":true}},"/dashboards/widgets/catalog":{"get":{"operationId":"dashboards_get_dashboards_widgets_catalog","summary":"List available dashboard widgets","description":"Returns the catalog of widgets that modules expose, including defaults and feature requirements.\n\nRequires features: dashboards.admin.assign-widgets","tags":["Dashboards"],"parameters":[],"responses":{"200":{"description":"Widgets available for assignment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsCatalogGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"string","title":"string","description":null,"defaultSize":"sm","defaultEnabled":true,"defaultSettings":null,"features":["string"],"moduleId":"string","icon":null,"loaderKey":"string","supportsRefresh":true}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsCatalogGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDashboardsWidgetsCatalogGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/dashboards/widgets/catalog\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["dashboards.admin.assign-widgets"],"x-require-auth":true}},"/auth/locale":{"get":{"operationId":"auth_get_auth_locale","summary":"Set locale and redirect","description":"Stores the selected locale in a cookie and redirects to a safe local path.","tags":["Authentication & Accounts"],"parameters":[{"name":"locale","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetParameters0Schema"},"example":"en"},{"name":"redirect","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetParameters1Schema"},"example":"string"}],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetResponses200ContentApplicationJsonSchema"}}}},"302":{"description":"Locale cookie set and request redirected","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetResponses302ContentApplicationJsonSchema"}}}},"400":{"description":"Invalid locale","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocaleGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/locale?locale=en\" \\\n  -H \"Accept: application/json\""}]},"post":{"operationId":"auth_post_auth_locale","summary":"Set locale","description":"Stores the selected locale in a cookie and returns a JSON success response.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocalePostRequestBodyContentApplicationJsonSchema"},"example":{"locale":"en"}}}},"responses":{"200":{"description":"Locale cookie set","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocalePostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid locale or malformed request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLocalePostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/locale\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"locale\\\": \\\"en\\\"\n}\""}]}},"/auth/profile":{"get":{"operationId":"auth_get_auth_profile","summary":"Get current profile","description":"Returns the email address for the signed-in user.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Profile payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses200ContentApplicationJsonSchema"},"example":{"email":"user@example.com","roles":["string"]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfileGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/profile\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_profile","summary":"Update current profile","description":"Updates the email address or password for the signed-in user.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Profile updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"email":"user@example.com"}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthProfilePutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/profile\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-auth":true}},"/auth/roles/acl":{"get":{"operationId":"auth_get_auth_roles_acl","summary":"Fetch role ACL","description":"Returns the feature and organization assignments associated with a role within the current tenant.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"roleId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetParameters1Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Role ACL entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses200ContentApplicationJsonSchema"},"example":{"isSuperAdmin":true,"features":["string"],"organizations":null}}}},"400":{"description":"Invalid role id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/roles/acl?roleId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_roles_acl","summary":"Update role ACL","description":"Replaces the feature list, super admin flag, and optional organization assignments for a role.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutRequestBodyContentApplicationJsonSchema"},"example":{"roleId":"00000000-0000-4000-8000-000000000000","organizations":null}}}},"responses":{"200":{"description":"Role ACL updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"sanitized":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesAclPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/roles/acl\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"roleId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"organizations\\\": null\n}\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/roles":{"get":{"operationId":"auth_get_auth_roles","summary":"List roles","description":"Returns available roles within the current tenant. Super administrators receive visibility across tenants.\n\nRequires features: auth.roles.list","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters3Schema"},"example":"string"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetParameters4Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Role collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","usersCount":1,"tenantId":null,"tenantName":null}],"total":1,"totalPages":1}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/roles?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.roles.list"],"x-require-auth":true},"post":{"operationId":"auth_post_auth_roles","summary":"Create role","description":"Creates a new role for the current tenant or globally when `tenantId` is omitted.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string"}}}},"responses":{"201":{"description":"Role created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/roles\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\"\n}\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_roles","summary":"Update role","description":"Updates mutable fields on an existing role.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"200":{"description":"Role updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/roles\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_roles","summary":"Delete role","description":"Deletes a role by identifier. Fails when users remain assigned.\n\nRequires features: auth.roles.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000","description":"Role identifier"}],"responses":{"200":{"description":"Role deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Role cannot be deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthRolesDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://admin.getcovo.com/api/auth/roles?id=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.roles.manage"],"x-require-auth":true}},"/auth/sidebar/preferences":{"get":{"operationId":"auth_get_auth_sidebar_preferences","summary":"Get sidebar preferences","description":"Returns sidebar customization for the current user (default) or the specified role (`?roleId=…`, requires `auth.sidebar.manage`).","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Current sidebar configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"canApplyToRoles":true,"roles":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","hasPreference":true}],"scope":{"type":"user"}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Missing features for role-scope read","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_sidebar_preferences","summary":"Update sidebar preferences","description":"Updates sidebar configuration. With `scope.type === \"user\"` (default) writes the calling user's personal preferences and may optionally apply the same settings to selected roles via `applyToRoles[]`. With `scope.type === \"role\"` writes the named role variant directly (requires `auth.sidebar.manage`); `applyToRoles[]` and `clearRoleIds[]` are rejected in this mode.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Preferences saved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"canApplyToRoles":true,"roles":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","hasPreference":true}],"scope":{"type":"user"},"appliedRoles":["00000000-0000-4000-8000-000000000000"],"clearedRoles":["00000000-0000-4000-8000-000000000000"]}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_sidebar_preferences","summary":"Delete a role sidebar variant","description":"Removes the role variant for the current tenant + locale. Idempotent. Requires `auth.sidebar.manage`.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Variant deleted (or never existed)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"scope":{"type":"user"}}}}},"400":{"description":"Missing roleId query parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Role not found in current tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarPreferencesDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://admin.getcovo.com/api/auth/sidebar/preferences\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/sidebar/variants":{"get":{"operationId":"auth_get_auth_sidebar_variants","summary":"List sidebar variants","description":"Returns the named sidebar variants saved by the current user for the current tenant + locale.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Variant list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variants":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/sidebar/variants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"post":{"operationId":"auth_post_auth_sidebar_variants","summary":"Create a sidebar variant","description":"Creates a new variant. If `name` is omitted or blank, an auto-name like \"My preferences\", \"My preferences 2\", … is assigned.\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Variant created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/sidebar/variants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/users/acl":{"get":{"operationId":"auth_get_auth_users_acl","summary":"Fetch user ACL","description":"Returns custom ACL overrides for a user within the current tenant, if any.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"userId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"User ACL entry","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses200ContentApplicationJsonSchema"},"example":{"hasCustomAcl":true,"isSuperAdmin":true,"features":["string"],"organizations":null}}}},"400":{"description":"Invalid user id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/users/acl?userId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_users_acl","summary":"Update user ACL","description":"Configures per-user ACL overrides, including super admin access, feature list, and organization scope.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutRequestBodyContentApplicationJsonSchema"},"example":{"userId":"00000000-0000-4000-8000-000000000000","organizations":null}}}},"responses":{"200":{"description":"User ACL updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"sanitized":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersAclPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/users/acl\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"userId\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"organizations\\\": null\n}\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/users/consents":{"get":{"operationId":"auth_get_auth_users_consents","summary":"List user consents","description":"Returns all consent records for a given user, with integrity verification status.\n\nRequires features: auth.users.edit","tags":["Auth"],"parameters":[{"name":"userId","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"}],"responses":{"200":{"description":"Consent list returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses200ContentApplicationJsonSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersConsentsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/users/consents?userId=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.edit"],"x-require-auth":true}},"/auth/users/resend-invite":{"post":{"operationId":"auth_post_auth_users_resend_invite","summary":"Resend invitation email","description":"Resends the invitation email to a user who has not yet set up their password. Generates a new 48-hour setup token and invalidates prior tokens.\n\nRequires features: auth.users.create","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"200":{"description":"Invite email sent","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid request origin","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"409":{"description":"User already has a password","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses409ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"422":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses422ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"500":{"description":"Invitation email origin is not configured","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersResendInvitePostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/users/resend-invite\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.users.create"],"x-require-auth":true}},"/auth/users":{"get":{"operationId":"auth_get_auth_users","summary":"List users","description":"Returns users for the effective selected tenant and organization scope. Search matches email, organization name, and role name. Super administrators may scope the response via the topbar context, organization filters, or role filters.\n\nRequires features: auth.users.list","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters3Schema"},"example":"string"},{"name":"name","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters4Schema"},"example":"string"},{"name":"organizationId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters5Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"roleIds","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetParameters6Schema"},"example":["00000000-0000-4000-8000-000000000000"]}],"responses":{"200":{"description":"User collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","email":"user@example.com","name":null,"organizationId":null,"organizationName":null,"tenantId":null,"tenantName":null,"roles":["string"]}],"total":1,"totalPages":1}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/users?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.list"],"x-require-auth":true},"post":{"operationId":"auth_post_auth_users","summary":"Create user","description":"Creates a new confirmed user within the specified organization, optional display name, and optional roles.\n\nRequires features: auth.users.create","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostRequestBodyContentApplicationJsonSchema"},"example":{"email":"user@example.com","name":null,"organizationId":"00000000-0000-4000-8000-000000000000"}}}},"responses":{"201":{"description":"User created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Invalid payload or duplicate email","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/users\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"email\\\": \\\"user@example.com\\\",\n  \\\"name\\\": null,\n  \\\"organizationId\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["auth.users.create"],"x-require-auth":true},"put":{"operationId":"auth_put_auth_users","summary":"Update user","description":"Updates profile fields including display name, organization assignment, credentials, or role memberships.\n\nRequires features: auth.users.edit","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000","name":null}}}},"responses":{"200":{"description":"User updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/users\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"name\\\": null\n}\""}],"x-require-features":["auth.users.edit"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_users","summary":"Delete user","description":"Deletes a user by identifier. Undo support is provided via the command bus.\n\nRequires features: auth.users.delete","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000","description":"User identifier"}],"responses":{"200":{"description":"User deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"User cannot be deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthUsersDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://admin.getcovo.com/api/auth/users?id=00000000-0000-4000-8000-000000000000\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.users.delete"],"x-require-auth":true}},"/auth/sidebar/variants/{id}":{"get":{"operationId":"auth_get_auth_sidebar_variants_id","summary":"Get a sidebar variant","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetParameters0Schema"}}],"responses":{"200":{"description":"Variant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdGetResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"put":{"operationId":"auth_put_auth_sidebar_variants_id","summary":"Update a sidebar variant","description":"Updates the variant's name, settings, and/or isActive flag. Setting `isActive: true` deactivates other variants in the same scope (only one active per user/tenant/locale).\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutParameters0Schema"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutRequestBodyContentApplicationJsonSchema"},"example":{}}}},"responses":{"200":{"description":"Variant updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses200ContentApplicationJsonSchema"},"example":{"locale":"string","variant":{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"settings":{"version":1,"groupOrder":["string"],"groupLabels":{"key":"string"},"itemLabels":{"key":"string"},"hiddenItems":["string"],"itemOrder":{"key":["string"]}},"createdAt":"string","updatedAt":null}}}}},"400":{"description":"Invalid payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdPutResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{}\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true},"delete":{"operationId":"auth_delete_auth_sidebar_variants_id","summary":"Delete a sidebar variant","description":"Soft-deletes the variant (sets deleted_at).\n\nRequires features: auth.sidebar.manage","tags":["Authentication & Accounts"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteParameters0Schema"}}],"responses":{"200":{"description":"Variant deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"404":{"description":"Variant not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSidebarVariantsIdDeleteResponses404ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://admin.getcovo.com/api/auth/sidebar/variants/:id\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.sidebar.manage"],"x-require-auth":true}},"/auth/admin/nav":{"get":{"operationId":"auth_get_auth_admin_nav","summary":"Resolve backend chrome bootstrap payload","description":"Returns the backend chrome payload available to the authenticated administrator after applying scope, RBAC, role defaults, and personal sidebar preferences.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Backend chrome payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthAdminNavGetResponses200ContentApplicationJsonSchema"},"example":{"groups":[{"name":"string","items":[{"href":"string","title":"string"}]}],"settingsSections":[{"id":"string","label":"string","items":[{"id":"string","label":"string","href":"string"}]}],"settingsPathPrefixes":["string"],"profileSections":[{"id":"string","label":"string","items":[{"id":"string","label":"string","href":"string"}]}],"profilePathPrefixes":["string"],"grantedFeatures":["string"],"roles":["string"]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthAdminNavGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/admin/nav\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/auth/feature-check":{"post":{"operationId":"auth_post_auth_feature_check","summary":"Check feature grants for the current user","description":"Evaluates which of the requested features are available to the signed-in user within the active tenant / organization context.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostRequestBodyContentApplicationJsonSchema"},"example":{"features":["string"]}}},"description":"Feature identifiers to evaluate."},"responses":{"200":{"description":"Evaluation result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"granted":["string"],"userId":"string"}}}},"400":{"description":"Invalid request — features array missing, too large, or contains invalid entries","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeatureCheckPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/feature-check\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"features\\\": [\n    \\\"string\\\"\n  ]\n}\""}],"x-require-auth":true}},"/auth/features":{"get":{"operationId":"auth_get_auth_features","summary":"List declared feature flags","description":"Returns all static features contributed by the enabled modules along with their module source.\n\nRequires features: auth.acl.manage","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Aggregated feature catalog","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"string","title":"string","module":"string"}],"modules":[{"id":"string","title":"string"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthFeaturesGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/features\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["auth.acl.manage"],"x-require-auth":true}},"/auth/login":{"post":{"operationId":"auth_post_auth_login","summary":"Authenticate user credentials","description":"Validates the submitted credentials and issues a bearer token cookie for subsequent API calls.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"email":"user@example.com","password":"string"}}},"description":"Form-encoded payload captured from the login form."},"responses":{"200":{"description":"Authentication succeeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"token":"string","redirect":null}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Invalid credentials","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses401ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"403":{"description":"User lacks required role","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses403ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many login attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLoginPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/login\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"email=user%40example.com&password=string\""}]}},"/auth/logout":{"get":{"operationId":"auth_get_auth_logout","summary":"Log out (legacy GET)","description":"For convenience, the GET variant performs the same logout logic as POST and issues a redirect.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses200ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to login after successful logout","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses302ContentTextHtmlSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/logout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true},"post":{"operationId":"auth_post_auth_logout","summary":"Invalidate session and redirect","description":"Clears authentication cookies and redirects the browser to the login page.","tags":["Authentication & Accounts"],"parameters":[],"responses":{"201":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses201ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to login after successful logout","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses302ContentTextHtmlSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthLogoutPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/logout\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/auth/reset/confirm":{"post":{"operationId":"auth_post_auth_reset_confirm","summary":"Complete password reset","description":"Validates the reset token and updates the user password.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"token":"string","password":"string"}}}},"responses":{"200":{"description":"Password reset succeeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"redirect":"string"}}}},"400":{"description":"Invalid token or payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many reset confirmation attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetConfirmPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/reset/confirm\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"token=string&password=string\""}]}},"/auth/reset":{"post":{"operationId":"auth_post_auth_reset","summary":"Send reset email","description":"Requests a password reset email for the given account. The endpoint always returns `ok: true` to avoid leaking account existence.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostRequestBodyContentApplicationXWwwFormUrlencodedSchema"},"example":{"email":"user@example.com"}}}},"responses":{"200":{"description":"Reset email dispatched (or ignored for unknown accounts)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Invalid request origin","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"429":{"description":"Too many password reset requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"500":{"description":"Password reset email origin is not configured","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthResetPostResponses500ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/reset\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/x-www-form-urlencoded\" \\\n  -d \"email=user%40example.com\""}]}},"/auth/session/refresh":{"get":{"operationId":"auth_get_auth_session_refresh","summary":"Refresh auth cookie from session token (browser)","description":"Exchanges an existing `session_token` cookie for a fresh JWT auth cookie and redirects the browser.","tags":["Authentication & Accounts"],"parameters":[{"name":"redirect","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetParameters0Schema"},"example":"string","description":"Absolute or relative URL to redirect after refresh"}],"responses":{"200":{"description":"Success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetResponses200ContentApplicationJsonSchema"}}}},"302":{"description":"Redirect to target location when session is valid","content":{"text/html":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshGetResponses302ContentTextHtmlSchema"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/auth/session/refresh\" \\\n  -H \"Accept: application/json\""}]},"post":{"operationId":"auth_post_auth_session_refresh","summary":"Refresh access token (API/mobile)","description":"Exchanges a refresh token for a new JWT access token. Pass the refresh token obtained from login in the request body.","tags":["Authentication & Accounts"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostRequestBodyContentApplicationJsonSchema"},"example":{"refreshToken":"string"}}}},"responses":{"200":{"description":"New access token issued","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses200ContentApplicationJsonSchema"},"example":{"ok":true,"accessToken":"string","expiresIn":1}}}},"400":{"description":"Missing refresh token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses400ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"401":{"description":"Invalid or expired token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses401ContentApplicationJsonSchema"},"example":{"ok":false,"error":"string"}}}},"429":{"description":"Too many refresh attempts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsAuthSessionRefreshPostResponses429ContentApplicationJsonSchema"},"example":{"error":"string"}}}}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/auth/session/refresh\" \\\n  -H \"Accept: application/json\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"refreshToken\\\": \\\"string\\\"\n}\""}]}},"/directory/organization-switcher":{"get":{"operationId":"directory_get_directory_organization_switcher","summary":"Load organization switcher menu","description":"Returns the hierarchical menu of organizations the current user may switch to within the active tenant.","tags":["Directory"],"parameters":[],"responses":{"200":{"description":"Organization switcher payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationSwitcherGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","depth":1,"selectable":true,"children":[]}],"selectedId":null,"canManage":true,"canViewAllOrganizations":true,"tenantId":null,"tenants":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true}],"isSuperAdmin":true}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationSwitcherGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/directory/organization-switcher\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-auth":true}},"/directory/organizations":{"get":{"operationId":"directory_get_directory_organizations","summary":"List organizations","description":"Returns organizations using options, tree, or paginated manage view depending on the `view` parameter.\n\nRequires features: directory.organizations.view","tags":["Directory"],"parameters":[{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters0Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters1Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters2Schema"},"example":"string"},{"name":"view","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters3Schema"},"example":"options"},{"name":"ids","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters4Schema"},"example":"string"},{"name":"tenantId","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters5Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"includeInactive","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters6Schema"},"example":"true"},{"name":"status","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetParameters7Schema"},"example":"all"}],"responses":{"200":{"description":"Organization data for the requested view.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","parentId":null,"parentName":null,"tenantId":null,"tenantName":null,"rootId":null,"treePath":null}]}}}},"400":{"description":"Invalid query or tenant scope","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/directory/organizations?page=1&pageSize=50&view=options\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["directory.organizations.view"],"x-require-auth":true},"post":{"operationId":"directory_post_directory_organizations","summary":"Create organization","description":"Creates a new organization within a tenant and optionally assigns hierarchy relationships.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string","slug":null,"parentId":null}}},"description":"Organization attributes and optional hierarchy configuration."},"responses":{"201":{"description":"Organization created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\",\n  \\\"slug\\\": null,\n  \\\"parentId\\\": null\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true},"put":{"operationId":"directory_put_directory_organizations","summary":"Update organization","description":"Updates organization details and hierarchy assignments.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000","slug":null,"parentId":null}}},"description":"Organization identifier followed by fields to update."},"responses":{"200":{"description":"Organization updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsPutResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X PUT \"https://admin.getcovo.com/api/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\",\n  \\\"slug\\\": null,\n  \\\"parentId\\\": null\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true},"delete":{"operationId":"directory_delete_directory_organizations","summary":"Delete organization","description":"Soft deletes an organization identified by id.\n\nRequires features: directory.organizations.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteRequestBodyContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}},"description":"Identifier of the organization to delete."},"responses":{"200":{"description":"Organization deleted.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses200ContentApplicationJsonSchema"},"example":{"ok":true}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryOrganizationsDeleteResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X DELETE \"https://admin.getcovo.com/api/directory/organizations\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"id\\\": \\\"00000000-0000-4000-8000-000000000000\\\"\n}\""}],"x-require-features":["directory.organizations.manage"],"x-require-auth":true}},"/directory/tenants":{"get":{"operationId":"directory_get_directory_tenants","summary":"List tenants","description":"Returns tenants visible to the current user with optional search and pagination.\n\nRequires features: directory.tenants.view","tags":["Directory"],"parameters":[{"name":"id","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters0Schema"},"example":"00000000-0000-4000-8000-000000000000"},{"name":"page","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters1Schema"},"example":1},{"name":"pageSize","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters2Schema"},"example":1},{"name":"search","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters3Schema"},"example":"string"},{"name":"sortField","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters4Schema"},"example":"name"},{"name":"sortDir","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters5Schema"},"example":"asc"},{"name":"isActive","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetParameters6Schema"},"example":"true"}],"responses":{"200":{"description":"Paged list of tenants.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses200ContentApplicationJsonSchema"},"example":{"items":[{"id":"00000000-0000-4000-8000-000000000000","name":"string","isActive":true,"createdAt":null,"updatedAt":null}],"total":1,"page":1,"pageSize":1,"totalPages":1}}}},"400":{"description":"Invalid query parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsGetResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X GET \"https://admin.getcovo.com/api/directory/tenants?page=1&pageSize=50\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\""}],"x-require-features":["directory.tenants.view"],"x-require-auth":true},"post":{"operationId":"directory_post_directory_tenants","summary":"Create tenant","description":"Creates a new tenant and returns its identifier.\n\nRequires features: directory.tenants.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostRequestBodyContentApplicationJsonSchema"},"example":{"name":"string"}}},"description":"Tenant name and optional activation flag."},"responses":{"201":{"description":"Tenant created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses201ContentApplicationJsonSchema"},"example":{"id":"00000000-0000-4000-8000-000000000000"}}}},"400":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses400ContentApplicationJsonSchema"},"example":{"error":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses401ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true},"403":{"description":"Forbidden – missing required features","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocPathsDirectoryTenantsPostResponses403ContentApplicationJsonSchema"},"example":{"error":"string"}}},"x-autoGenerated":true}},"security":[{"bearerAuth":[]}],"x-codeSamples":[{"lang":"curl","label":"cURL","source":"curl -X POST \"https://admin.getcovo.com/api/directory/tenants\" \\\n  -H \"Accept: application/json\" \\\n  -H \"authorization: Bearer <token>\" \\\n  -H \"Content-Type: application/json\" \\\n  -d \"{\n  \\\"name\\\": \\\"string\\\"\n}\""}],"x-require-features":["directory.tenants.manage"],"x-require-auth":true},"put":{"operationId":"directory_put_directory_tenants","summary":"Update tenant","description":"Updates tenant properties such as name or activation state.\n\nRequires features: directory.tenants.manage","tags":["Directory"],"parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/compo
[...]
